<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

$link = new Link();
$link->set_space_on_end();
$invert = 'link_invert';

    $link_back = link_back_with_query('li') . ' ';
    
    $link_menu = new Link_Menu();
    $link_menu->set_space_on_end();
    
    // Values
    $arr = array();
    $arr['page'] = 1;
    $arr['hide'] = '0';
    $arr['search_mod'] = 1;
    $arr['todo'] = 1;

    // todo
    $condition = (isset($_REQUEST['todo']));
    $link_menu->set_condition_background($condition);
    $link_menu->set_background('ord');
    $arr['tbl'] = 'ord';
    $link_todo = $link_menu->insert_modul('todo', 'query.php', $la_todo, $arr);
    $link_menu->unset_condition_background();
    

    // Values
    $arr['new'] = 1;
    $arr['go'] = 1;
    $arr['file'] = basename($_SERVER['PHP_SELF']);
    unset($arr['todo']);
    
    // Addresses
    $link_address = $link_menu->set_link('adr', $la_addresses, $arr, $la_address_title);
    
    // Orders
    $condition = ($_SESSION['tbl'] == 'ord' and !isset($_REQUEST['auf_id']) and !isset($_REQUEST['todo']));
    $link_menu->set_condition_background($condition);
    $link_order = $link_menu->set_link('ord', $la_orders, $arr, $la_order_title);
    $link_menu->unset_condition_background();
        
    // Category
    $link_category = $link_menu->set_link('cat', $la_category, $arr);

    // Product
    $link_product = $link_menu->set_link('pro', $la_products, $arr, $la_product_title);

    // Price
    $link_menu->set_background('pri');
    $arr['tbl'] = 'pri';
    $link_price = $link_menu->insert_modul('calc', 'query.php', $la_prices, $arr);

    // Last edited order
    if (!empty ($_SESSION['auf_id'])) {
        unset ($arr['id']);
        
        // id or number from order
        if (isset($adm['own_doc_number']) and $adm['own_doc_number'] == 1) {
            $ord_nr = $db->get_one_field($tbl_ord, $_SESSION['auf_id'], 'number');
        }else{
            $ord_nr = $_SESSION['auf_id'];
        }
            $ord_id = $_SESSION['auf_id'];
        
        $condition = ( (isset ($_REQUEST['tbl']) and $_REQUEST['tbl'] == 'ord')
                and   (isset($_REQUEST['auf_id'])  and  $_REQUEST['auf_id'] == $_SESSION['auf_id']) 
                );
        $arr['auf_id'] = $ord_id;
        $link_menu->set_condition_background($condition);
        $link_last_order = $link_menu->set_link('ord', $la_last_edited_order.' '. $ord_nr, 
                $arr, $la_last_edited_order, 'order_edit.php');
    }else{
        $link_last_order = '';
    }
    
    if ($mobil == false) {
       $break = '<br>';
   }
        
    // Expense
    $condition = ($_SESSION['tbl'] == 'exp' and $file != 'export.php' 
            and $file != 'import.php' and $file != 'analysis.php');
    $link_menu->set_condition_background($condition);
    $link_menu->set_background('exp');
    $arr['tbl'] = 'exp';
    $link_expense = $link_menu->insert_modul('expense', 'query.php', $la_expense, $arr);
    $link_menu->unset_condition_background();


    // Text
    $link_menu->set_background('tex');
    $arr['tbl'] = 'tex';
    $link_text = $link_menu->insert_modul('text', 'query.php', $la_texts, $arr);

    
    // Letter
    $link_menu->set_background('let');
    $arr['tbl'] = 'let';
    $link_letter = $link_menu->insert_modul('letter', 'query.php', $la_letters, $arr);

    
    // Analysis
    $condition = ( isset ($_REQUEST['year']) );
    $arr['tbl'] = 'exp';
    $link_menu->set_condition_background($condition);
    $link_menu->set_background('ord_ite');
    $arr['year'] = 1;
    $link_analysis = $link_menu->insert_modul('analysis', 'modul/analysis/analysis.php', $la_analysis, $arr);
    unset ($arr['year']);
    $link_menu->unset_condition_background();

    
    // Calculation
    $link_menu->set_background('cal');
    $arr['tbl'] = 'cal';
    $link_calc = $link_menu->insert_modul('calc', 'query.php', $la_calculations, $arr);
    
    // Convention
    $link_menu->set_background('con');
    $arr['tbl'] = 'con';
    $link_convention = $link_menu->insert_modul('convention', 'query.php', $la_convention, $arr);

    // Order position
    $link_order_pos = $link_menu->set_link('ord_ite', $la_order_pos, $arr);

    // Setting
    $link_setting = $link_menu->set_link('adm', $la_settings, $arr, $la_settings, 'user_setting.php');

    // Export
    $condition = ($file == 'export.php');
    $link_menu->set_condition_background($condition);
    $link_export = $link_menu->set_link('exp', $la_export, $arr, $la_export, 'export.php');
    $link_menu->unset_condition_background();
    
    // PDF-Archive
    if(is_file(PROJECT_DOCUMENT_ROOT . '/modul/pdf/archive.php') and $use['mod_pdf'] == 1) {
    $link_archive = '<a href="modul/pdf/archive.php">'
          . $la_pdf_archive . ' </a>';
    }else{
        $link_archive = '';
    }

    // Help
    $link_help = '<a href="http://schreinerwissen.de/faktura/hilfe.php" target="blank">'
          . $la_help . ' </a>';
    
    
    // logout and import backup
    if (LOCAL_SYSTEM == false) {
        $arr7['logout'] = 1;
        $arr7[session_name()] = session_id();
        $link_logout = $link->make_link(PROJECT_HTTP_ROOT . 'logout.php', $la_logout, $arr7);
    }else{
        $link_logout = '';
    }

    // Link for backup
    $link_backup = $link->make_link(PROJECT_HTTP_ROOT . 'backup.php', $la_backup);

    // Import
    $condition = ($file == 'import.php');
    $link_menu->set_condition_background($condition);
    $arr2 = array('new' => 1,);
    if (isset ($_SESSION['tbl'])) {
        $arr2['tbl'] = $_SESSION['tbl'];
    }
    $link_import = $link_menu->insert_modul('import', 'modul/import/import.php', $la_import, $arr2);
    $link_menu->unset_condition_background();  
    
   /* 
    if ($use['id'] < 3 and LOCAL_SYSTEM == false) {
        ?>
        <script type="text/javascript">
        function FensterOeffnen () {
          MeinFenster = window.open("http://www.schreinerwissen.de/faktura-0.56-alpha/look.php?new=1", "schreinerwissen-such-fenster", 
          "width=800,height=600,location=no, dependent=yes,left=100,top=200,scrollbars=yes,dependent=yes,screenX=500, screenY=1");
          MeinFenster.focus();
        }
        </script>
        <a href="datei.htm" onclick="FensterOeffnen(this.href); return false">nachschlagen</a>
        <?php
    }
*/

        
// Output
?>
<div id="menu1" class="invisible">
<ul>
<?php

print $link_back;
print $link_todo;
print $link_address;
print $link_order;
print $link_category;
print $link_product;
print $link_price;
print $link_last_order;
print $link_expense;
print $link_text;
print $break;
print $link_letter;
print $link_analysis;
print $link_calc;
print $link_convention;
print $link_order_pos;
print $link_setting;
print $link_export;
print $link_backup;
print $link_help;
print $link_archive;
print $link_logout;
print $link_import;
?>
</ul>
</div>
<?php

if ( (isset ($use['id']) and $use['id'] < 3) and (isset($_SESSION['bea_id']) 
        and $_SESSION['bea_id'] == 1) ) {
    
    $bar = PROJECT_DOCUMENT_ROOT . '/development/bar_admin.php';
    if (is_file($bar)) {
        require_once $bar;
    }
}
