<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * Menu bar for user_setting.php
 * 
 * Contains:  Hourly rates, operator, change password, preselection text,
 * change css, change logo
 * @since 2010-12
 */

// Object link
$link = new Link();


$menu_content = '';

$link_menu = new Link_Menu();

// Hourly rate
$arr['tbl'] = 'hou';
$arr['file'] = basename($_SERVER['PHP_SELF']);
$menu_content .= $link_menu->insert_modul('calc', 'query.php', $la_hourly_rate, $arr);

// Operator
$arr['tbl'] = 'wor';
$arr['file'] = basename($_SERVER['PHP_SELF']);
$menu_content .= $link_menu->insert_modul('operator', 'query.php', $la_worker, $arr);

// Password
$menu_content .= $link_menu->insert_modul('text', 'modul/pw/pw.php', $la_password.' '.$la_alter, 'id=1&tbl=use&file='.$file.'&id='.$use['id']);

// Text
$menu_content .= $link_menu->insert_modul('text', 'modul/text/text_conf.php', $la_text_presel, 'id=1');

// Css
$menu_content .= $link_menu->insert_modul('css', 'modul/css/css.php', $la_css_select, '');

// Logo
$menu_content .= $link_menu->insert_modul('logo', 'modul/logo/logo.php', $la_logo_change, '');

// Update
if (LOCAL_SYSTEM == true) {
    $target = 'http://www.schreinerwissen.de/faktura/download.php?version=' .VERSION. VERSION_NO
            . '&amp;version_code=' . VERSION_CODE;
    $inscription = $la_update;
    $menu_content .= $link->make_link($target, $inscription);
}


// Tabs
$tab = new Tab();
$inscription = array($la_programm, $la_worker_settings);
$target = array('user_setting.php', 'modul/set/set.php');
$dok = array('user', 'user');
$tab->set_array_inscription($inscription);
$tab->set_array_target($target);
$tab->set_current_file($file);
$tab->set_arr_param_for_document($dok);
$tab->set_document('user');


// Necessary for free edit
$_SESSION['id'] = 1;

// Explanation for date system
$date_description = '
<span >
<br/>
Y -> 2011, Jahr 4stellig
<br/>
y -> 11, Jahr 2stellig
<br/>
m -> 03 (Monat mit f&uuml;hrenden Nullen)
<br/>
n -> 3 (Monat ohne f&uuml;hrende Nullen)
<br/>
d -> 05 (Tag mit f&uuml;hrenden Nullen)
<br/>
j -> 5 (Tag ohne f&uuml;hrende Nullen)
<br/>
Beispiele: "d.m.Y" = "03.09.2011", "Y/n/j" = "2011/9/3", ...
</span>';


// Output
?>
<div class="menux">
    <ul>
        <?php print $menu_content; ?>      
    </ul>
</div>
<br>
<?php
print $tab->make_tabs();
